<?php

namespace Drp\Analytics\Contracts;

use Drp\Analytics\Foundation\AnalyticPayload;
use Drp\Analytics\Foundation\AnalyticReference;
use Illuminate\Database\Eloquent\Collection;

interface HandlesAnalytics
{
    public function store(AnalyticReference $reference, AnalyticPayload $payload): void;

    public function get(string $event, ?callable $query = null): Collection;
}
